org.aspectj.lang.reflect

## Interface DeclareParents

    public interface DeclareParents

A declare parents member defined inside an aspect

### Method Summary

Methods
`AjType` `getDeclaringType()` The declaring aspect
`java.lang.reflect.Type[]` `getParentTypes()` The set of types that the types matching getTargetTypesPattern are declared to implement or extend
`TypePattern` `getTargetTypesPattern()` The target type pattern
`boolean` `isExtends()` True if this is a declare parents...extends member declaration
`boolean` `isImplements()` True if this is a declare parents...implements member declaration

### Method Detail

#### getDeclaringType

    AjType getDeclaringType()

The declaring aspect

#### getTargetTypesPattern

    TypePattern getTargetTypesPattern()

The target type pattern

#### isExtends

    boolean isExtends()

True if this is a declare parents...extends member declaration

#### isImplements

    boolean isImplements()

True if this is a declare parents...implements member declaration

#### getParentTypes

    java.lang.reflect.Type[] getParentTypes()
                                            throws java.lang.ClassNotFoundException

The set of types that the types matching getTargetTypesPattern are declared to implement or extend

Throws:
  `java.lang.ClassNotFoundException`